import 'package:git_assistant/git_assistant.dart';
import 'package:test/test.dart';

class _BaseGitChainTest extends BaseGitChain {
  _BaseGitChainTest(String chainName) : super(chainName);

  _ChildGitChainTest get child => _ChildGitChainTest('child', this);
}

class _ChildGitChainTest extends BaseGitChain {
  _ChildGitChainTest(String chainName, BaseGitChain prevChain)
      : super(chainName, prevChain);
}

void main() {
  group('BaseGitChain class', () {
    test('test command generator part', () {
      var base1 = _BaseGitChainTest('base1');
      expect(base1.child.toString(), 'base1 child');
      // ignore: invalid_use_of_protected_member
      expect(base1.child.argList, ['base1', 'child']);
      expect(base1.toString(), 'base1');
      // ignore: invalid_use_of_protected_member
      expect(base1.argList, ['base1']);
    });
  });
}
