/// Compares release version (pushed version) with pubspec version
import 'dart:io';

import 'package:yaml/yaml.dart';
import 'package:pub_semver/pub_semver.dart';

void main(List<String> args) {
  var releaseVersion = args[0].split('/')[2].replaceFirst('v', '');

  var pubspec = File('pubspec.yaml');

  var currentVersion = loadYamlDocument(pubspec.readAsStringSync())
      .contents
      .value['version'] as String;
  if (Version.parse(releaseVersion) < Version.parse(currentVersion)) {
    exit(1);
  }
}
